# Valheim Armory
Valheim Armory is a continuation of Valheim Additions. A small mod designed to fill gaps in the valheim ecosystem.

The goal of this mod is to create a more diverse but not sprawling selection of weapons to make all playstyles feel fully supported at each level.


This mod is balanced to be mostly lore friendly with a preference for fun and enjoyable scaling and mechanics.

This mod is highly configurable, you can use all of it, parts or tune it as you need.

Got a bug to report or just want to chat about the mod? Drop by the discord or github.

[![discord logo](https://i.imgur.com/uE6umQE.png)](https://discord.gg/Dmr9PQTy9m) [![github logo](https://i.imgur.com/lvbP5OF.png)](https://github.com/MidnightsFX/Valheim_Armory)


## Translations
This mod will always have an up-to-date English localization, as that is what I can provide as its author.
I occassionally generate missing translations with ChatGPT to fill in for un-trasnlated languages, however I am always open to community edits or new translations.

If you would like to contribute a new translation, or improve an existing one please feel free to reach out to me or provide a translation file in the same format as one of the existing ones.
[Found here](https://github.com/MidnightsFX/Valheim_Armory/tree/master/ValheimArmory/localizations)


# Features

Below are all of the items added by this mod. The descriptions and information here are provided so you know what you are getting. But I encourage you to explore and discover the weapons instead.

Here is a sample gallery of weapons added by this mod.

![Sample Gallery of added content](https://i.imgur.com/bl5tTcl.png)

<details>
<summary>I want to see the weapons (spoilers!)</summary>

![Gallery pt1](https://i.imgur.com/zuh6YNT.png)
![Gallery pt2](https://i.imgur.com/NtyDJfG.png)

</details>

Below is more information on all of the items added, what tier they are in, where they are crafted and at what progression point. All of the sections below are expandable to view the details.

<details>
  <summary>Boss Weapons</summary>
  
  ## Eikthyrs

    Eikthyrs weapons are split into two groups, one requiring the workbench and the other the forge. Meaning that some of these weapons will require metals from the black forest.

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Antler Bow | Workbench | Post-Meadows | `VAAntler_Bow` | ![Antler Bow Icon](https://i.imgur.com/YYavFT6.png) |
  | Antler Dagger | Workbench | Post-Meadows | `VAAntler_dagger` | ![Antler Dagger Icon](https://i.imgur.com/TImtKNo.png) |
  | Antler Sword | Workbench | Post-Meadows | `VAAntler_Sword` | ![Antler Sword Icon](https://i.imgur.com/uw1ZNgz.png) |
  | Antler Atgeir | Workbench | Post-Meadows | `VAatgeir_antler` | ![Antler Atgier Icon](https://i.imgur.com/URdXvZc.png) |
  | Antler Greataxe | Workbench | Post-Meadows | `VAAntler_greataxe` | ![Antler Greataxe Icon](https://i.imgur.com/jIAHbCD.png) |

  ## Elder
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Vine hammer | Forge | Post-Blackforest | `VAElderHammer` | ![Elder Sledgehammer icon](https://i.imgur.com/IvJzuX3.png) |
  | Vine shield | Forge | Post-Blackforest | `VAElderRoundShield` | ![Elders roundshield icon](https://i.imgur.com/2eNj45X.png) |
  | Vine crossbow | Forge | Post-Blackforest | `VACrossbowElder` | ![Elders crossbow Icon](https://i.imgur.com/fDaATMs.png) |
  | Vine sword | Forge | Post-Blackforest | `VAVine_Sword` | ![Elders Sword Icon](https://i.imgur.com/621VD59.png) |
  | Vine mace | Forge | Post-Blackforest | `VAElder_mace` | ![Elders Mace Icon](https://i.imgur.com/SfYdLP7.png) |

  ## Bonemass
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Skull hammer | Forge | Post-Swamp | `VABonemassWarhammer` | ![Bonemass Warhammer icon](https://i.imgur.com/sg9yGYu.png) |
  | Bone blade | Forge | Post-Swamp | `VABonemassGreatsword` | ![bonemass greatsword icon](https://i.imgur.com/OWfG9nK.png) |
  | Poisoned bone dagger | Forge | Post-Swamp | `VABonemassDagger` | ![Bonemasses dagger icon](https://i.imgur.com/o9qxcEG.png) |

  ## Moder
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Dragonfrost sword | Forge | Post-Mountain | `VASwordModer` | ![Ice sword Icon](https://i.imgur.com/iXVICFY.png) |
  | Dragonfrost spear | Forge | Post-Mountain | `VASpearModer` | ![Ice Spear Icon](https://i.imgur.com/X4CuFZs.png) |
  | Dragonfrost crossbow | Forge | Post-Mountain | `VACrossbowModer` | ![Mechanical Crossbow Icon](https://i.imgur.com/KMNzFgZ.png) |
  | Dragonfrost buckler | Forge | Post-Mountain | `VAModer_RoundShield` | ![Moder roundshield](https://i.imgur.com/kDHDtJT.png) |

  ## Yagluth
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Goblin king atgeir | Forge | Post-Plains | `VAYagluthAtgeir` | ![darkmetal atgeir](https://i.imgur.com/LXLNlF0.png) |
  | Goblin king greatsword | Forge | Post-Plains | `VAYagluth_greatsword` | ![darkmetal greatsword](https://i.imgur.com/diyEKHx.png) |
  | Goblin king knuckles | Forge | Post-Plains | `VAFist_Yagluth` | ![darkmetal knuckles](https://i.imgur.com/yGTlNh1.png) |

  ## Queen
  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Carapace sword | Blackforge | Post-Mistlands | `VASwordQueen` | ![carapace sword](https://i.imgur.com/hXZKfvN.png) |
  | Carapace dagger | Blackforge | Post-Mistlands | `VAdagger_queen` | ![carapace dagger](https://i.imgur.com/zbJagxI.png) |
  | Pincer greatsword | Blackforge | Post-Mistlands | `VAQueen_greatsword` | ![pincer greatsword](https://i.imgur.com/cR358cp.png) |
  | Pincer greatbow | Blackforge | Post-Mistlands | `VAQueen_bow` | ![pincer greatbow](https://i.imgur.com/CUFQTOp.png) |

</details>

<details>
  <summary>Arrows</summary>

  Arrows Added here fill out a number of additional roles, and importantly add new resource sinks.

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Bone arrow | Workbench | Meadows | `VAArrowBone` | ![bone arrow icon](https://imgur.com/KUYj0Zp.png) |
  | Chitin arrow | Workbench | Ocean | `VAchitinarrow` | ![chitin arrow icon](https://imgur.com/LKNQnEt.png) |
  | Ancient Wood arrow | Workbench | Swamp | `VAarrowancient` | ![ancient wood arrow icon](https://imgur.com/d28tCPw.png) |
  | Surtling Fire arrow | Forge | Workbench | `VAarrow_surtling_fire` | ![surtling fire arrow icon](https://i.imgur.com/K5Erlwt.png) |
  | Blackmetal arrow | Forge | Plains | `VAArrowGreenMetal` | ![blackmetal arrow icon](https://imgur.com/yiJKz6s.png) | 
  | Wood Bolt | Workbench | Blackforest | `VABoltWood` | ![wood crossbow bolt](https://imgur.com/UTbO8aG.png) |
  | Bronze Bolt | Forge | Blackforest | `VAbolt_bronze` | ![bronze bolt](https://i.imgur.com/cUJTlB3.png) |
  | Iron Poison Bolt | Forge | Swamp | `VAbolt_poison` | ![iron poison bolt](https://i.imgur.com/mVLDfm8.png) |
  | Frost Bolt | Forge | Mountain | `VAbolt_frost` | ![Silver Frost bolt](https://i.imgur.com/0FGHrBB.png) |
  | Obsidian Bolt | Workbench | Mountain | `VASurtlingBolt` | ![blackmetal surtling bolt](https://i.imgur.com/luqYGzO.png) |
  | Blackmetal Surtling Bolt | Forge | Plains | `VASurtlingBolt` | ![blackmetal surtling bolt](https://i.imgur.com/iZ5fOrF.png) |

</details>

<details>
  <summary>Atgeirs</summary>

  Added Atgiers help fill in missing tiers.

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Atgeir | Workbench | Meadows | `VAAtgeir_Flint` | ![flint atgeir icon](https://i.imgur.com/ASQRVLD.png) |
  | Royal Abyssal Atgeir | Forge | Mountain | `VAAtgeirchitin` | ![royal abyssal atgeir icon](https://i.imgur.com/FCO85Nq.png) |
  | Silver Atgeir | Forge | Mountain | `VASilverAtgeir` | ![silver atgeir icon](https://i.imgur.com/WLB6PWp.png) |
</details>


<details>
  <summary>Axes</summary>

  ### Greataxes (2H Axes)
  Battleaxes are a fun but very challenging playstyle in valheim. They are slow so you generally need to kill your opponets before they can kill you, which happens fast.

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Greataxe | Workbench | Meadows | `VAFlint_greataxe` | ![flint greataxe icon](https://i.imgur.com/dPbaKtX.png) |
  | Bronze Lumber Axe | Forge | Blackforest | `VAbronze_battleaxe` | ![bronze greataxe icon](https://i.imgur.com/1an32hc.png) |
  | Blackmetal Greataxe | Forge | Mistlands | `VAblackmetal_battleaxe` | ![blackmetal greataxe icon](https://i.imgur.com/2H94zhh.png) |

</details>

<details>
  <summary>Knives</summary>
  
  ### Added Daggers

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Bronze Dagger | Forge | Blackforest | `VAdagger_bronze` | ![bronze dagger icon](https://i.imgur.com/AyWevGx.png) |
  | Iron Dagger | Forge | Swamp | `VAdagger_iron` | ![iron dagger icon](https://i.imgur.com/9MBSw5X.png) |
  | Silver Dagger | Forge | Mountain | `VAdagger_silver` | ![silver dagger icon](https://i.imgur.com/SL2G0Vn.png) |

  ---

  ### Added 2H Daggers

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Daggers | Workbench | Meadows | `VADagger_Flint_2h` | ![flint daggers icon](https://i.imgur.com/vdkexcd.png) |
  | Rascal Daggers | Forge | Blackforest | `VAdagger_bronze_2h` | ![rascal daggers icon](https://i.imgur.com/88MEras.png) |
  | Rogue Daggers | Forge | Swamp | `VAdagger_iron_2h` | ![rogue daggers icon](https://i.imgur.com/1kyTYjP.png) |
  | Blackguard Runic Daggers | Forge | Mountain | `VAdagger_silver_2h` | ![blackguard runic daggers icon](https://i.imgur.com/8HwWqah.png) |

  * Note: 2H Daggers will float infront of item wall mounts due to their separated attachment style. They display normally on an item stand.

  The addition of 2H daggers at lower tiers also provides you a way to focus on that playstyle all of the way up till the current end of the game.

</details>

<details>
  <summary>Bows</summary>
  
  ### Added Crossbows

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Bronze Crossbow | Forge | Blackforest | `VACrossbowBronze` | ![bronze crossbow icon](https://i.imgur.com/GkWbooT.png) |
  | Bronze Arbalist | Forge | Plains | `VAArbalistBronze` | ![bronze arbalist icon](https://i.imgur.com/iuk67H0.png) |

</details>

<details>
  <summary>Hammers</summary>
  
  ### Added Warhammers

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Skyshatter | Forge | Plains | `VAblackmetal_sledge` | ![blackmetal sledge icon](https://i.imgur.com/ChVYaYS.png) |

  Warhammers act like a 2H mace with the secondary attack being similar to a sledge. Finally a high risk high reward blunt weapon.

</details>

<details>
  <summary>Shields</summary>
  
  ### Added Shields

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Serpent Scale Buckler | Forge | Swamp | `VAserpent_buckler` | ![serpent scale buckler icon](https://i.imgur.com/jtB6efS.png) |

</details>

<details>
  <summary>Swords</summary>
  
  ### Added Greatswords

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Greatsword | Workbench | Meadows | `VAFlint_greatsword` | ![flint greatsword icon](https://i.imgur.com/IWwo2x0.png) |
  | Bronze Greatsword | Forge | Blackforest | `VAbronze_greatsword` | ![bronze greatsword icon](https://i.imgur.com/cjSbYI5.png) |
  | Iron Greatsword | Forge | Swamp | `VAiron_greatsword` | ![iron greatsword icon](https://i.imgur.com/UmjdC0K.png) |
  | Silver Greatsword | Forge | Mountain | `VAsilver_greatsword` | ![silver greatsword icon](https://i.imgur.com/qBOtNRn.png) |


  ---
  
  ### Added Swords

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint Sword | Workbench | Meadows | `VAFlint_Sword` | ![flint sword icon](https://i.imgur.com/8PEvo8I.png) |
  | Chitin Sword | Workbench | Blackforest | `VASwordChitin` | ![chitin sword icon](https://i.imgur.com/HtNvGaA.png) |

  * Chitin Sword (Abyssal Sword) is an early game sword sitting between bronze and iron but with the unique difference of inflicting some blunt damage, making it less useless against all of the enemies in the swamp
</details>

<details>
  <summary>Knuckles</summary>
  
  ### Added Hand weapons

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Flint knuckles | Workbench | Meadows | `VAFist_Flint` | ![flint knuckles](https://i.imgur.com/IhPPv7q.png) |
  | Bronze knuckles | Forge | BlackForest | `VAFist_Bronze` | ![bronze knuckles](https://i.imgur.com/PEYLGow.png) |
  | Iron knuckles | Forge | Swamp | `VAFist_Iron` | ![iron knuckles](https://i.imgur.com/Y1TkBxk.png) |

</details>

<details>
  <summary>Magic Weapons</summary>

  
  ### Added Magic weapons

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Druidic staff of spirit | Workbench | Swamp | `VAStaff_Druid_Spirit` | ![druidic spirit staff](https://i.imgur.com/4WrNu8i.png) |
  | Druidic staff of poison | Workbench | Swamp | `VAStaff_Druid_Poison` | ![druidic poison staff](https://i.imgur.com/PXi8ztI.png) |
  | Druidic staff of fire | Workbench | Swamp | `VAStaff_Druid_Fire` | ![fire druidic staff](https://i.imgur.com/Xq7o8MW.png) |
  | Druidic staff of ice | Workbench | Mountains | `VAStaff_Druid_Ice` | ![druidic ice staff](https://i.imgur.com/AFtAeV7.png) |
  | Staff of Spirit | Magetable | Mistlands | `VAStaff_Spirit` | ![Staff of spirit](https://i.imgur.com/BuIbWQN.png) |
  | Staff of Poison | Magetable | Mistlands | `VAStaff_Poison` | ![fire druidic staff](https://i.imgur.com/UKn5TJC.png) |

  ### Added Blood Magic weapons

  | Name | Crafted At | Stage | prefab | Icon |
  | ----------- | ----------- | ----------- | ----------- | ----------- |
  | Blood bone battlepick | forge | BlackForest | `VABlood_Bones_pickaxe` | ![blood bone battlepick](https://i.imgur.com/W18gjEx.png) |
  | Blood bone bow | forge | Mountains | `VABlood_bone_bow` | ![blood bone bow](https://i.imgur.com/nBN4Jac.png) |

</details>

---

## Configuration

Everything is optionally configurable through the ingame mod configuration UI provided by BepinEx.
  * [Thunderstore link](https://valheim.thunderstore.io/package/TJzilla/BepInEx_ConfigurationManager/)
  * [Nexus Link](https://www.nexusmods.com/valheim/mods/740)

Otherwise a configuration file located at `/BepInEx/config/MidnightsFX.ValheimArmory.cfg` contains all of the configuration.

Please note that basically ALL of the configuration is server sided. Which means that **it requires a restart of your game to take effect**. This allows me to ensure that the server and the client are always in sync with the details of everything- like how much damage you did to that greydwarf.

Current configuration options:
* Damage
* Damage per level
* Recipe
* Stamina cost
* Block amount
* block per level
* Crafted amount (where applicable)

---

## FAQ

Q. Valheim Enchanting System doesn't support these weapons?
- A. There is a default VES config in the VA folder (`VES.ValheimArmory.default.yml`), it must be moved to the VES config folder. This gives you full control of configurations that are actually applied in regards to VES.
     The folder you should place this config file in is `BepInEx\config\ValheimEnchantmentSystem\AdditionalEnchantmentReqs`

Q. Epic Loot doesn't automatically drop these weapons, what gives?
- A. There is a default Epic Loot config files (`EpicLoot_Valheim_Armory.loottables.json, EpicLoot_Valheim_Armory.iteminfo.json`) in the VA folder, they must be moved to the Epic loot config patches folder. `\BepInEx\config\EpicLoot\patches`

Q. The bronze crossbow costs dragon tears?
- A. Delete the config for the bronze crossbow (or your whole config file).

Q. Why do some shields have resistances listed twice?
 A. The first resistance listed is for the shield itself (blocking that damage type), the second resistance listed is an effect applied to the player (you take that type of damage, with the shield equiped).
    Meaning that both are required if you want to be truly resistant to a particular damage type while having that item equiped.

Q. Why does disabling the recipe do nothing?
- A. You must have an item enabled, for the recipe disable flag to do anything. When an item is disabled it is completely removed from the game, so its recipe doesn't matter.

Q. I want to edit the text for a weapon, how do I do that?
- A. You can download a copy of any of the language files [available on github](https://github.com/MidnightsFX/Valheim_Armory/tree/master/ValheimArmory/localizations) and place it at the following location: `Valheim\BepInEx\plugins\ValheimArmory\Assets\Translations\YOUR_LANGUAGE_HERE\ValheimArmory.json` this will override
     the default localization for VA for the language specified. This is localization sideloading that is supported through [Jotunn](https://valheim-modding.github.io/Jotunn/tutorials/localization.html#side-loading-localizations)
     I also accept language translation updates, if you want to translate or update an existing translation please reach out on the discord server or open a github ticket.

Q. Why does x weapon look bad?
- A.
    - This is my first Unity, and Valhiem mod
    - My original goal with modding was to just make a singular new arrow
    - I'm not a gamedev, I suck at textures, modeling and don't know the unity loaders
    - I'm learning as I go, and welcome feedback
    - I do this in my few hours of free time, sometimes I don't have that time
---

## Currently in-progress
<details>
  <summary>Potential Spoilers!</summary>
  
  * Designing Boss Weapons for the mistlands

  Boss Weapon Release roadmap
  * Additional weapon types for all existing bosses

  The Boss weapon roadmap will take a number of updates. Feel free to submit ideas to the github.
</details>

---

## Future Plans
<details>
  <summary>Potential Spoilers!</summary>
  
  * Filling out boss weapons for most/all playstyles (long term)
  * Chitin Shield
  * Named Mace (blackmetal mace)
  * Silver sledge
  * 2H Warhammers (Maces but bigger)
  * Better VFX for weapons
  * New spear alternatives
  * More magic (eitr) powered weapons (non-staves, post Ashlands update)
</details>

---

## Installation (Automatic)
Just download with your favorite modmanager!

## Installation (manual)
Toss the ValheimArmory folder and files into your plugins folder. Technically the only thing required is the ValheimArmory.ddl, configs will generate on first run. Optionally follow the instructions to setup VES or Epic Loot configs.

## Changelog

<details>
  <summary>Changelog (Potential spoilers!)</summary>

  **1.8.0**
```
Adds
- Corewood crossbow bolt, normal wood crossbow bolt now costs wood.
- Moders 1H dagger

New configuration
- Movement speed penalty (adjustable for 2H hammers)
- Crafting table level required (adjustable for all)

Fixes
- Animation grip for Vine sledge
- Animation grip for Queens 1H sword
- Animation grip for moders 1H sword
- Animation grip for 1h silver daggers
- reduced VFX for blackmetal axe darkness
- Improved grip of flint fists
- Improved VFX for queens weapons

BALANCE CONFIGURATION APPLIES TO NEW CONFIG FILES
existing configurations will not be significantly adjusted

Changes
    Arrows
    - Blackmetal Arrow: Updated recipe, converted damage to primarily be blunt
    - Bone Arrow: Increased damage, normalized feather cost, requires crafting station lvl3
    - Surtling fire Arrow: moved to workbench, reduced damage slightly, reduced crafting costs
    - Ancient wood Arrow: reduced damage
    - Chitin Arrow: removed slash damage, added blunt damage, reduced overall cost and damage
    - Wood bolt: reduced damage, changed recipe to cost wood not corewood
    - Bronze bolt: small damage reduction, recipe cost reduction
    - Poison bolt: damage reduction, cost reduction
    - Obsidian bolt: now made at the workbench, tiny damage reduction
    - Frost bolt: large cost reduction, tiny damage reduction
    - Surtling fire bolt: cost reduction, damage reduction
    Bows
    - Bone Blood bow: small damage reduction, recipe cost reduction
    - Antler bow: moved to workbench, significant cost reduction, small increase in damage
    - bronze crossbow: damage increase, durability decrease, recipe cost adjusted
    - Elder crossbow: recipe cost reduction, damage increase, durability decrease
    - Moder crossbow: massive damage increase, slight recipe cost increase, durability decreased
    - Queen bow: damage spread between lightning and poison, lightning VFX added, recipe adjusted
    Swords
    - Chitin sword: moved to workbench, small damage decrease, recipe cost increased
    - Antler sword: moved to workbench, damage per level increased, recipe cost decreased
    - Vine sword: recipe cost decreased, damage decreased
    - Moder sword: recipe cost increased, damage decreased, damage moved to pierce from blunt
    - Bronze greatsword: recipe cost decreased, damage slightly decreased
    - Silver greatsword: recipe cost slightly increased, damage increased
    - Bonemass greatsword: recipe cost increased, slash damage increased, poison decreased
    - Yagluth greatsword: recipe cost decreased, damage slightly decrease, damage per level increased
    - Flint sword: damage decreased slightly, increased damage per level, recipe cost significantly reduced
    - Flint greatsword: damage decreased slightly, massive recipe cost decrease
    - Queen greatsword: damage spread out between poison and lightning, stamina costs slightly increased, recipe adjusted
    - Queen sword: damage spread out between poison and lightning, stamina costs lowered, recipe adjusted
    Axes
    - Flint greataxe: damage slightly decreased, recipe cost massively decreased, tree damage massively increased, stamina costs increased
    - Bronze greataxe: damage slightly decreased, tree damage decreased, recipe cost decreased
    - Antler greataxe: moved to workbench, damage decreased, tree damage increased, recipe costs massively decreased
    - Blackmetal greataxe: damage decreased, recipe costs increased, tree damage reduced, secondary stamina cost increased
    Hammers
    - Blackmetal sledge: damage increased, recipe cost increased, movement speed penalty increased
    - Elder sledge: damage increased, recipe cost increased, movement speed penalty increased
    - Bonemass warhammer: damage decreased, recipe cost increased, movement speed penalty increased
    Atgeirs
    - Flint atgeir: damage increase, stamina cost increase, recipe cost massively decreased
    - Antler atgeir: damage increase, recipe cost decrease, stamina cost increase
    - Chitin atgeir: (renamed from royal to chitin atgeir) spirit damage removed, recipe cost massively reduced, VFX removed, damage reduced
    - Silver atgeir: damage slightly shifted to spirit, recipe cost reduced, stamina cost increased
    - Yagluth atgeir: fire damage per level increased, recipe cost massively reduced
    Shields
    - serpentscale shield: deflection increased, recipe cost decreased, resists pierce
    - elder roundshield: cost decreased, block decreased, very resistant to blunt, removed special player resistances
    - moder roundshield: cost increased, block massively decreased, very resistant to frost, removed special player resistances
    Daggers/knives
    - flint 2h daggers: recipe cost massively decreased, damage slightly increased, stamina cost adjusted
    - antler dagger: recipe cost reduced, damage slightly reduced
    - bronze 2h dagger: recipe cost reduced, damage increased, stamina cost decreased
    - bronze 1h dagger: recipe cost reduced, damage increased
    - iron 2h dagger: recipe cost increased, damage reduced
    - iron 1h dagger: recipe cost increased, damage increased, stamina cost increased
    - silver 2H daggers: recipe cost increased, damage massively increased
    - silver 1h daggers: default uncraftable, damage heavily increased, removed spirit damage, recipe cost increased
    - moder 1h daggers: added, frost damage
    - bonemass dagger: damage decrease, crafting cost decrease, stamina cost increase
    - queens dagger: damage spread between poison and lightning, recipe adjusted
    Spears
    - moder spear: damage adjusted, replaced blunt damage with slash, recipe cost decreased
    Fists
    - flint fists: damage decrease, recipe cost massively reduced
    - bronze fists: damage decrease, recipe costs reduced
    - iron fists: damage decrease, recipe costs reduced
    - yagluth fists: damage decreased, recipe costs massively reduced
    Maces
    - elders mace: damage decreased, weapon costs reduced, stamina costs decreased
    Magic staves
    - poison: decreased recipe costs, large damage increase
    - spirit: decreased recipe costs, large damage increase
    - druidic poison: damage increase, durability decrease, stamina cost increase
    - druidic spirit: massive damage increase, durability decrease, stamina cost increase, recipe now swamp level
    - druidic ice: small damage decrease, durability decrease, recipe cost decrease
    - druidic fire: recipe changed to swamp level, damage increase, durability reduced
    Pickaxe
    - Bone blood pick: no change
```


  **1.7.5**
```
- Updated Jotunn for compatability with upcoming Ashlands (2.19.1)
- Updated russian translation
- Reduced size of VFX for the queens weapons
```

  **1.7.4**
```
- Fixes Obsidian bolts not moving after being shot
```

  **1.7.3**
```
- Weapons now have a 1%-300% configuration option for bow draw duration and crossbow reload duration where applicable
- Updated VES configuration to include all current weapons
- Updated German weapon translation | Thanks Sack3000!
- Reduced the minimum configurable Eitr cost for mistlands level staves to be zero (they can now be used as stamina or no-cost)
```

**1.7.2**
```
- Added configuration options to enable stamina cost for non-druidic spirit and poison staffs
- Added rough language translations for all 26 localizations (I still welcome translation improvements!)
- Fixed some shields not being auto-picked up properly
- Fixed some arrows not being auto-picked up properly
- Added unique projectiles for all of the bolts/arrows. This improves compatability with Bow Plugin.
- Added blood magic weapons
    - Blood bone bow, does not cost arrows uses blood for ammo
    - Blood battlepick, very low stamina cost, health cost, increases health regen when wielded. Can mine terrain.
```

**1.7.1**
```
- Removed frost damage from the queens sword
- Added Language translations for all remaining untranslated items
    - These translations are generated and are not guarented to be accurate, I still greatly appreciate anyone willing to improve language translations
- Improved Korean language translation (Thanks! 이종윤)
```

**1.7.0**
```
- Added Initial Mistland Boss Weapons!
    - Queens Sword, Greatsword, Bow and Dagger
- Improved some balance for Flint weapons
- Optimized more textures, vfx and various other resources (reduced download and memory footprint)
```

**1.6.5**
```
- Tune default damage for the obsidian bolt to be lower than blackmetal
- Improved network compatibility for some magic weapons, crossbow bolts and arrows
```

**1.6.4**
```
- Updated readme for arrows to be a bit more accurate
- Converted the shkyshatter & elders hammer to warhammers (2H mace + sledge attacks)
```

**1.6.3**
```
- Fixes obsidian bolts not colliding with the ground when dropped
```

**1.6.2**
```
- Fixes bonemass warhammer smash aoe damage not being spread across the whole radius
```

**1.6.1**
```
- Fixed the antler atgeir & flint atgeir having both slash & pierce
- Removed minor resistances from the vine shield
- Added a groundsmash secondary attack for bonemasses warhammer
- Reduced default stamina cost of the primary attack for bonemasses warhammer, and sped it up slightly
- Updated Yagluths fists to have a jump secondary attack
- Remade the abyssal atgiers skin and vfx, now much softer, less shiny
- Added an obsidian bolt for crossbows
- Tuned default damage for the abyssal atgeir to be more in line with other atgeirs (and to upgrade linearly)
```

**1.6.0**
```
- Remodelled the skyshatter, updated its VFX! less foggy more soft electric
- Redesigned the elders shield
    - Updated the spirit & poison resistances the shield provides to be major resistances instead of minor ones (holding the shield is now effectively a free poison resist, just don't stash/unequip or you'll have a bad time)
- Added Moders shield
    - Moders shield now provides frost (major) and fire (minor) resistances
- Added Fist weapons (knuckles): Flint, Bronze, Iron, and blackmetal (boss weapon)
- Added Magic staffs! Poison, Spirit, Fire, Ice 
    - these new magic staffs are split into two catagories: pre mistlands and mistlands level and they work slightly differently
    - pre-mistlands staffs have a high stamina cost but no Eitr cost
    - mistland level staffs are stronger, have a low eitr cost and no stamina cost
    - this is all completely configurable if you want them to work differently
- Fixes for some flint weapons not colliding properly with things when dropped
```

**1.5.17**
```
- Fixed the default recipe for iron poisoned crossbow bolts to use iron
- Added Flint weapon set (Atgeir, Sword, 2H dagger, Greatsword)
- Added prefab names to readme
```

**1.5.16**
```
- Fixed missing shader compilation for Vulkan
```

**1.5.15**
```
- Fixed Moders spear missing its trail texture when thrown
- Reduced specular highlights on Moders & Elders weapons, increased darkness of vine textures
- Fixed naming of the elders sledge
```

**1.5.14**
```
- Fixed missing weapon trails on a handful of weapons
- Fixed high levels of metallic rendering used on the elders weapons
```

**1.5.13**
```
- Fixed autopickup for a few more weapons, really this should be the last time
- Fixed the antler bow getting a NPE when firing
```

**1.5.12**
```
- !!CHANGED CONFIG LOCATION!! now MidnightsFX.ValheimArmory.cfg
- Added support for weapons/shields to provide resistances
- Set the Elders shield to provide a poison resistance (and config options to enable/disable)
- Fixed autopickup for a few remaining weapons
- Updated compiled against unity version to 2022.12
- Increased compression of files (download is 25% smaller now)
```

**1.5.11**
```
- Fixed auto-pickup for a number of weapons (including dragonfrost spear), it should now work correctly.
```

**1.5.10**
```
- Updated english name localization, improving weapon naming to feel more vanilla
```

**1.5.9
```
- Fixing missing Epic Loot config files on Thunderstore
- Fixed Elders hammer not having one of its sound effects
- Fixed Elders balance incorrectly having lightning damage and blunt damage instead of just slash and spirit
```

**1.5.8**
```
- Fixing arrow text description for arrows including a non-printable control character
- Improving flexibility of crafting station configuration options for all craftable weapons/ammos
```

**1.5.7**
```
- Default configuration for Valheim Enchantment System (VES) and Epic Loot now available in the mod folder
- Added Elders sword & mace
- Fixed prefab name for Chitin Atgeir
```

**1.5.6**
```
-Fixes for the Elder Hammer & Skyshatter not having sfx hit sounds
```

**1.5.5**
```
- Fixes for the spanish translation
- Updates to required version of Jotunn & BepinEx
```

**1.5.4**
```
- Added Spanish Translation
- Fixed missing sound effects for Elders hammer
```

**1.5.3**
```
- Fixed Chinese Translation not loading properly
```

**1.5.2**
```
- Added Chinese translation
```

**1.5.1**
```
- Hildirs Update support validated!
- Updated to Jotunn 2.12.7
- Added the option to enable/disable craftable state for all items. This is seperate from enabling the item itself, you can now enable the item to be loaded into the game. 
    But keep it non-craftable, this might be useful if you only want a specific weapon to drop from Epicloot etc.
```

**1.5.0**
```
- Added two Yagluth themed weapons
- Added configuration for block to all weapons and shields
- Updated Jotunn to 2.12.4
```

**1.4.0**
```
- Added initial bonemass boss weapons!
- First 2H warhammer added, likely slightly overpowered. This weapon acts like a 2H axe or sword, but does blunt damage.
- Added silver Atgeir, this is a direct upgrade between Iron & Blackmetal
- Updates to how localizations are added, better support for multiple languages
- Added Russian translation
```

**1.3.4**
```
- Fixed Moders crossbow not being configurable and using the wrong defaults
```

**1.3.3**
```
- Fixed wood bolt triggering the invalid recipe warning
- Fixed a particle mock for arrow feathers not resolving on some versions of valheim
- Rebalance of most boss weapons, and a few outlier non-boss weapons. Recipes are slightly more expensive overall and damage is generall down across the board.
    This primarily brings boss weapons in line with the next tier weapon minus a small bit. The balance change is just to the default config values.
    If you want to keep your weapons more powerful continue using your existing config, defaults will only be applied if you do not have a value set (new or deleted config).
```

**1.3.2**
```
- Updated German localization
```

**1.3.1**
```
- Fixed the antler greataxe being held the wrong way
```

**1.3.0**
```
- 3 new weapons based on the Elder
- 3 new weapons based on the Moder
- new crossbow and a handful of new bolts!
- bugfix for the antler dagger not being impacted by gravity
- fixed the default recipe for 1h bronze dagger

```

**1.2.1**
```
- Finished current german localization
- Updated the surtling core arrow icon

```

**1.2.0**
```
- Added Eikthyr Bow, Dagger, Sword & Greataxe
- Remeshed the Antler Atgeir
- Balance for the Eikthyr weapons is tilted towards overpowered.

```

**1.1.0**
```
- Added Daggers
- Added 2H Daggers

- Significant updates to the configuration code, more things are now configurable!
    - Stamina cost for primary and secondary attacks
    - Crafting costs
    - Where things are crafted at
```

**1.0.1**
```
- Fixed Iron level sword recipe, should now actually require Iron.
```

**1.0.0**
```
- Release! I'm sure its got bugs somewhere
```

</details>

## Issues
Please report any issues you encounter on the [github issue tracker](https://github.com/MidnightsFX/Valheim_Armory/issues) or ask for help on the [discord](https://discord.gg/Dmr9PQTy9m)

## Credits
* German translations provided by SACK3000
* Chinese translations provided by ZhiTian Wu
* Valheim Enchantment System config defaults by Aziraphale
* Some texture resources generated from [withpoly](https://withpoly.com/browse/textures)
* [Sword Model](https://assetstore.unity.com/packages/3d/props/weapons/free-low-poly-swords-rpg-weapons-198166)
* Hugo for his advice and help getting skinned meshes running
* Jotun community for answering some silly questions :)
* The Valheim team at Irongate which makes all of this possible!
* Unity Ultimate VFX for some or partial visual effects
